Bug 1017419 - if virt-install fails fetching initrd, fails with "NoneType object is not iterable"
if virt-install fails fetching initrd, fails with "NoneType object is not ite...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 16:34 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-16 02:14 EST (History)
4 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-5.git1ffcc0cc.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:14:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-09 16:34:39 EDT
Description of problem:
Following test day instructions: https://fedoraproject.org/wiki/QA:Testcase_Virtualization_URL_Guest_Install, virt-install part


% sudo virt-install --name test-day-vm --ram 2048 \
        --disk path=/var/lib/libvirt/images/test-day-vm.img,size=10 \
        --location http://download.fedoraproject.org/pub/fedora/linux/development/20/x86_64/os/

Starting install...
Retrieving file .treeinfo...                                        | 2.2 kB  00:00:00 !!! 
Retrieving file vmlinuz...                                          | 9.8 MB  00:00:06 !!! 
ERROR    'NoneType' object is not iterable
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start test-day-vm
otherwise, please restart your installation.

Version-Release number of selected component (if applicable):
virt-manager-0.10.0-4.git79196cdf.fc20.noarch
virt-install-0.10.0-4.git79196cdf.fc20.noarch

How reproducible:
Not very. I think it must have been some temporary network error which derailed the installation. Worked on the second try.
Comment 1 Cole Robinson 2013-10-09 16:43:18 EDT
Yeah a bunch of the f20 mirrors are incomplete, so when you use download.fedoraproject.org it will bounce you around to a whole bunch of different mirrors. If one is busted it can mess up the install.

Can you look in ~/.cache/virt-manager/virt-install.log, search for that error message and paste the full traceback here?
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-09 17:50:17 EDT
[Wed, 09 Oct 2013 16:04:27 virt-install 23245] DEBUG (urlfetcher:92) Fetching URI: http://download.fedoraproject.org/pub/fedora/linux/development/20/x86_64/os/images/pxeboot/initrd.img
[Wed, 09 Oct 2013 16:04:28 virt-install 23245] ERROR (cli:264) 'NoneType' object is not iterable
[Wed, 09 Oct 2013 16:04:28 virt-install 23245] DEBUG (cli:266) 
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-install", line 716, in start_install
    dom = guest.start_install(meter=meter, noboot=options.noreboot)
  File "/usr/share/virt-manager/virtinst/guest.py", line 369, in start_install
    self._prepare_install(meter, dry)
  File "/usr/share/virt-manager/virtinst/guest.py", line 262, in _prepare_install
    util.make_scratchdir(self.conn, self.type))
  File "/usr/share/virt-manager/virtinst/installer.py", line 212, in prepare
    self._prepare(guest, meter, scratchdir)
  File "/usr/share/virt-manager/virtinst/distroinstaller.py", line 422, in _prepare
    self._prepare_kernel_url(guest, fetcher)
  File "/usr/share/virt-manager/virtinst/distroinstaller.py", line 327, in _prepare_kernel_url
    kernel, initrd, args = store.acquireKernel(guest)
TypeError: 'NoneType' object is not iterable
[Wed, 09 Oct 2013 16:04:28 virt-install 23245] DEBUG (cli:277) Domain installation does not appear to have been successful.
Comment 3 Cole Robinson 2013-11-09 18:56:42 EST
Fixed upstream now
Comment 4 Fedora Update System 2013-11-10 12:10:43 EST
virt-manager-0.10.0-5.git1ffcc0cc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-5.git1ffcc0cc.fc20
Comment 5 Fedora Update System 2013-11-11 19:32:10 EST
Package virt-manager-0.10.0-5.git1ffcc0cc.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.10.0-5.git1ffcc0cc.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21095/virt-manager-0.10.0-5.git1ffcc0cc.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-16 02:14:41 EST
virt-manager-0.10.0-5.git1ffcc0cc.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.